%define name	facter
%define version	1.6.17
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Ruby module for collecting simple facts about a host operating system
License:	ASL 2.0
Group:		System/Libraries
URL:		http://www.puppetlabs.com/puppet/related-projects/facter/
Source0:	http://www.puppetlabs.com/downloads/%{name}/%{name}-%{version}.tar.gz
Patch0:		facter-1.6.17-mga-add-mageia-support.patch
Requires:	dmidecode
Requires:	lsb-release
# needed for host, in facter/ipaddress.rb
Requires:	bind-utils
BuildArch:	noarch
BuildRequires:	ruby

%description 
Ruby module for collecting simple facts about a host Operating
system. Some of the facts are preconfigured, such as the hostname and the
operating system. Additional facts can be added through simple Ruby scripts

%prep
%setup -q
%apply_patches

%build
# Use /usr/bin/ruby directly instead of /usr/bin/env ruby in
#+ executables. Otherwise, initscripts break since pidof can't
#+ find the right process
%{__sed} -i -e 's@^#!.*$@#! /usr/bin/ruby@' bin/facter

%install
%{__rm} -rf %{buildroot}

%{__install} -d -m 0755 %{buildroot}%{ruby_sitelibdir}/%{name}
%{__install} -d -m 0755 %{buildroot}%{_bindir}
%{__install} -d -m 0755 %{buildroot}%{_defaultdocdir}/%{name}
%{__install} -p -m 0644 lib/*.rb %{buildroot}%{ruby_sitelibdir}
%{__cp} -a lib/facter/* %{buildroot}%{ruby_sitelibdir}/%{name}
%{__install} -p -m 0755 bin/facter %{buildroot}%{_bindir}

%files
%doc LICENSE CONTRIBUTING.md
%{_bindir}/facter
%{ruby_sitelibdir}/facter.rb
%{ruby_sitelibdir}/%{name}





%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.6.17-2.mga3
+ Revision: 350026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 solbu <solbu> 1.6.17-1.mga3
+ Revision: 337715
- New version
- Fix mga#5120 (wrong operating system detection)

* Wed Dec 19 2012 solbu <solbu> 1.6.16-1.mga3
+ Revision: 332868
- New version
- Fix License tag

* Sun Dec 02 2012 solbu <solbu> 1.6.15-1.mga3
+ Revision: 325610
- New version

* Wed Nov 07 2012 solbu <solbu> 1.6.14-1.mga3
+ Revision: 315482
- New version

* Mon Aug 13 2012 guillomovitch <guillomovitch> 1.6.11-1.mga3
+ Revision: 281059
- new version

* Thu Jul 12 2012 solbu <solbu> 1.6.10-1.mga3
+ Revision: 269749
- Drop INSTALL file
- Fix mixed-use-of-spaces-and-tabs

  + guillomovitch <guillomovitch>
    - new version

* Sat Feb 25 2012 misc <misc> 1.6.6-1.mga2
+ Revision: 214725
- new version 1.6.6
- License changed upstream
- fix %%doc
- remove comment that generate rpmlint warning
- new version

* Mon Jun 27 2011 misc <misc> 1.5.9-1.mga2
+ Revision: 114261
- new version 1.5.9

* Mon Jan 24 2011 misc <misc> 1.5.8-2.mga1
+ Revision: 35789
- fix License
- fix url
- fix requires on ruby that is already computed by rpm
- imported package facter

